KXmlSerializer (kxml API)
Keywords: org.kxml2.io.KXmlSerializer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kxml2.io
Class KXmlSerializer

    java.lang.Object
      org.kxml2.io.KXmlSerializer

All Implemented Interfaces:
  org.xmlpull.v1.XmlSerializer

    public class KXmlSerializer

extends java.lang.Object
implements org.xmlpull.v1.XmlSerializer

Constructor Summary
`KXmlSerializer()`

Method Summary
`org.xmlpull.v1.XmlSerializer` | `attribute(java.lang.String namespace, java.lang.String name, java.lang.String value)`
`void` | `cdsect(java.lang.String data)`
`void` | `comment(java.lang.String comment)`
`void` | `docdecl(java.lang.String dd)`
`void` | `endDocument()`
`org.xmlpull.v1.XmlSerializer` | `endTag(java.lang.String namespace, java.lang.String name)`
`void` | `entityRef(java.lang.String name)`
`void` | `flush()`
`int` | `getDepth()`
`boolean` | `getFeature(java.lang.String name)`
`java.lang.String` | `getName()`
`java.lang.String` | `getNamespace()`
`java.lang.String` | `getPrefix(java.lang.String namespace, boolean create)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`void` | `ignorableWhitespace(java.lang.String s)`
`void` | `processingInstruction(java.lang.String pi)`
`void` | `setFeature(java.lang.String name, boolean value)`
`void` | `setOutput(java.io.OutputStream os, java.lang.String encoding)`
`void` | `setOutput(java.io.Writer writer)`
`void` | `setPrefix(java.lang.String prefix, java.lang.String namespace)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `startDocument(java.lang.String encoding, java.lang.Boolean standalone)`
`org.xmlpull.v1.XmlSerializer` | `startTag(java.lang.String namespace, java.lang.String name)`
`org.xmlpull.v1.XmlSerializer` | `text(char[] text, int start, int len)`
`org.xmlpull.v1.XmlSerializer` | `text(java.lang.String text)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KXmlSerializer

    public KXmlSerializer()

Method Detail

### docdecl

    public void docdecl(java.lang.String dd)
                 throws java.io.IOException

  Specified by:
    `docdecl` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### endDocument

    public void endDocument()
                     throws java.io.IOException

  Specified by:
    `endDocument` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### entityRef

    public void entityRef(java.lang.String name)
                   throws java.io.IOException

  Specified by:
    `entityRef` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### getFeature

    public boolean getFeature(java.lang.String name)

  Specified by:
    `getFeature` in interface `org.xmlpull.v1.XmlSerializer`

### getPrefix

    public java.lang.String getPrefix(java.lang.String namespace,
                                      boolean create)

  Specified by:
    `getPrefix` in interface `org.xmlpull.v1.XmlSerializer`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `org.xmlpull.v1.XmlSerializer`

### ignorableWhitespace

    public void ignorableWhitespace(java.lang.String s)
                             throws java.io.IOException

  Specified by:
    `ignorableWhitespace` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)

  Specified by:
    `setFeature` in interface `org.xmlpull.v1.XmlSerializer`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Specified by:
    `setProperty` in interface `org.xmlpull.v1.XmlSerializer`

### setPrefix

    public void setPrefix(java.lang.String prefix,
                          java.lang.String namespace)
                   throws java.io.IOException

  Specified by:
    `setPrefix` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### setOutput

    public void setOutput(java.io.Writer writer)

  Specified by:
    `setOutput` in interface `org.xmlpull.v1.XmlSerializer`

### setOutput

    public void setOutput(java.io.OutputStream os,
                          java.lang.String encoding)
                   throws java.io.IOException

  Specified by:
    `setOutput` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### startDocument

    public void startDocument(java.lang.String encoding,
                              java.lang.Boolean standalone)
                       throws java.io.IOException

  Specified by:
    `startDocument` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### startTag

    public org.xmlpull.v1.XmlSerializer startTag(java.lang.String namespace,
                                                 java.lang.String name)
                                          throws java.io.IOException

  Specified by:
    `startTag` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### attribute

    public org.xmlpull.v1.XmlSerializer attribute(java.lang.String namespace,
                                                  java.lang.String name,
                                                  java.lang.String value)
                                           throws java.io.IOException

  Specified by:
    `attribute` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### endTag

    public org.xmlpull.v1.XmlSerializer endTag(java.lang.String namespace,
                                               java.lang.String name)
                                        throws java.io.IOException

  Specified by:
    `endTag` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### getNamespace

    public java.lang.String getNamespace()

  Specified by:
    `getNamespace` in interface `org.xmlpull.v1.XmlSerializer`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.xmlpull.v1.XmlSerializer`

### getDepth

    public int getDepth()

  Specified by:
    `getDepth` in interface `org.xmlpull.v1.XmlSerializer`

### text

    public org.xmlpull.v1.XmlSerializer text(java.lang.String text)
                                      throws java.io.IOException

  Specified by:
    `text` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### text

    public org.xmlpull.v1.XmlSerializer text(char[] text,
                                             int start,
                                             int len)
                                      throws java.io.IOException

  Specified by:
    `text` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### cdsect

    public void cdsect(java.lang.String data)
                throws java.io.IOException

  Specified by:
    `cdsect` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### comment

    public void comment(java.lang.String comment)
                 throws java.io.IOException

  Specified by:
    `comment` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

### processingInstruction

    public void processingInstruction(java.lang.String pi)
                               throws java.io.IOException

  Specified by:
    `processingInstruction` in interface `org.xmlpull.v1.XmlSerializer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD